"use strict";
/*
 * server component for the TimeLimit App
 * Copyright (C) 2019 - 2020 Jonas Lochmann
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoveUserAction = void 0;
const basetypes_1 = require("./basetypes");
const util_1 = require("./meta/util");
const actionType = 'RemoveUserAction';
class RemoveUserAction extends basetypes_1.ParentAction {
    constructor({ userId, authentication }) {
        super();
        (0, util_1.assertIdWithinFamily)({ actionType, field: 'userId', value: userId });
        this.userId = userId;
        this.authentication = authentication;
    }
}
exports.RemoveUserAction = RemoveUserAction;
RemoveUserAction.parse = ({ userId, authentication }) => (new RemoveUserAction({ userId, authentication }));
//# sourceMappingURL=removeuser.js.map