"use strict";
/*
 * server component for the TimeLimit App
 * Copyright (C) 2019 - 2020 Jonas Lochmann
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetParentCategoryAction = void 0;
const basetypes_1 = require("./basetypes");
const util_1 = require("./meta/util");
const actionType = 'SetParentCategoryAction';
class SetParentCategoryAction extends basetypes_1.ParentAction {
    constructor({ categoryId, parentCategory }) {
        super();
        (0, util_1.assertIdWithinFamily)({ actionType, field: 'categoryId', value: categoryId });
        if (parentCategory !== '') {
            (0, util_1.assertIdWithinFamily)({ actionType, field: 'parentCategory', value: parentCategory });
        }
        this.categoryId = categoryId;
        this.parentCategory = parentCategory;
    }
}
exports.SetParentCategoryAction = SetParentCategoryAction;
SetParentCategoryAction.parse = ({ categoryId, parentCategory }) => (new SetParentCategoryAction({
    categoryId,
    parentCategory
}));
//# sourceMappingURL=setparentcategory.js.map